Bug 101560 - RPM does not allow multiple kernels
Summary: RPM does not allow multiple kernels
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-03 19:58 UTC by Zenon Panoussis
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 13:36:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zenon Panoussis 2003-08-03 19:58:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Virgin severn:

# rpm -hiv kernel-2.4.20-9.athlon.rpm
Preparing...                ########################################### [100%]
        package kernel-2.4.21-20.1.2024.2.1.nptl (which is newer than
kernel-2.4.20-9) is already installed

The kernel packages are supposed to live parallel to each-other, not upgrade
each-other and it has always been possible to install an older kernel without
--force. Not any more, apparently.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Repeat command.

Additional info:

Comment 1 Michael Young 2003-08-04 10:15:51 UTC
Use the --oldpackage flag. 

Comment 2 Zenon Panoussis 2003-08-04 11:34:12 UTC
--force works, --oldpackage probably works too, but that's not the point; the
point is that the hitherto behaviour of kernel packages was correct and that is
now broken.

Comment 3 Michael Young 2003-08-04 14:10:07 UTC
Actually I think you have always needed --oldpackage or equivalent to install an
older kernel. I have just checked RH7.1 which is as far back as I can easily go,
and that requires extra options to install a kernel older than the current one.

Comment 4 Jeff Johnson 2003-08-19 13:36:44 UTC
Use --oldpackage.


Note You need to log in before you can comment on or make changes to this bug.